com.jogamp.newt.event

## Class WindowAdapter

- java.lang.Object
- - com.jogamp.newt.event.WindowAdapter

- All Implemented Interfaces:
    NEWTEventListener, WindowListener, EventListener

      public abstract class WindowAdapter
      extends Object
      implements WindowListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `windowDestroyed(WindowEvent e)` Window has been destroyed.
    `void` | `windowDestroyNotify(WindowEvent e)` Window destruction has been requested.
    `void` | `windowGainedFocus(WindowEvent e)` Window gained focus.
    `void` | `windowLostFocus(WindowEvent e)` Window lost focus.
    `void` | `windowMoved(WindowEvent e)` Window has been moved.
    `void` | `windowRepaint(WindowUpdateEvent e)` Window area shall be repainted.
    `void` | `windowResized(WindowEvent e)` Window is resized, your application shall respect the new window dimension.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowAdapter

          public WindowAdapter()

  - ### Method Detail

    - #### windowResized

          public void windowResized(WindowEvent e)

      Description copied from interface: `WindowListener`
      Window is resized, your application shall respect the new window dimension. A repaint is recommended.
      Specified by:
        `windowResized` in interface `WindowListener`

    - #### windowMoved

          public void windowMoved(WindowEvent e)

      Description copied from interface: `WindowListener`
      Window has been moved.
      Specified by:
        `windowMoved` in interface `WindowListener`

    - #### windowDestroyNotify

          public void windowDestroyNotify(WindowEvent e)

      Description copied from interface: `WindowListener`
      Window destruction has been requested.

      Depending on the `default close operation`, the window maybe destroyed or not.

      In case the window will be destroyed (see above), release of resources is recommended.
      Specified by:
        `windowDestroyNotify` in interface `WindowListener`

    - #### windowDestroyed

          public void windowDestroyed(WindowEvent e)

      Description copied from interface: `WindowListener`
      Window has been destroyed.
      Specified by:
        `windowDestroyed` in interface `WindowListener`

    - #### windowGainedFocus

          public void windowGainedFocus(WindowEvent e)

      Description copied from interface: `WindowListener`
      Window gained focus.
      Specified by:
        `windowGainedFocus` in interface `WindowListener`

    - #### windowLostFocus

          public void windowLostFocus(WindowEvent e)

      Description copied from interface: `WindowListener`
      Window lost focus.
      Specified by:
        `windowLostFocus` in interface `WindowListener`

    - #### windowRepaint

          public void windowRepaint(WindowUpdateEvent e)

      Description copied from interface: `WindowListener`
      Window area shall be repainted.
      Specified by:
        `windowRepaint` in interface `WindowListener`

Copyright 2010 JogAmp Community.